#!/usr/bin/env python
# -*- coding: utf-8 -*-
from builtins import object
import time

from pynamodb.attributes import NumberAttribute, UnicodeAttribute

from db_paribhasha import PynamoBaseModel, credentials


class RunMetadata(PynamoBaseModel):
    """
    Dynamo DB model for Import Workflows.
    An import ID corresponds to one import by a user in an organization.
    """

    class Meta(object):
        table_name = credentials.DYNAMO_RUN_META_TABLE
        region = credentials.DYNAMO_REGION

    run_id = NumberAttribute(hash_key=True)
    import_info = UnicodeAttribute(null=True)
    export_info = UnicodeAttribute(null=True)

    created_ts = NumberAttribute(
        null=False, default=int(round(time.time() * 1000)))
    modified_ts = NumberAttribute(
        null=False, default=int(round(time.time() * 1000)))
